GNU bug report logs - #18427
Fwd: 'less' bug report

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: gzip; Reported by: J B <jb.1234abcd@HIDDEN>; merged with #16951; dated Mon, 8 Sep 2014 17:18:01 UTC; Maintainer for gzip is bug-gzip@HIDDEN.
Merged 16951 18427. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18427 <at> debbugs.gnu.org:


Received: (at 18427) by debbugs.gnu.org; 8 Sep 2014 21:15:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 08 17:15:26 2014
Received: from localhost ([127.0.0.1]:34115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XR6HV-0000PE-At
	for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 17:15:25 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:57337)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1XR6HS-0000Ou-98
 for 18427 <at> debbugs.gnu.org; Mon, 08 Sep 2014 17:15:23 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id A188D39E8014;
 Mon,  8 Sep 2014 14:15:16 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id fqrKEjam8srM; Mon,  8 Sep 2014 14:15:12 -0700 (PDT)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id DC4F539E8013;
 Mon,  8 Sep 2014 14:15:11 -0700 (PDT)
Message-ID: <540E1C5F.60106@HIDDEN>
Date: Mon, 08 Sep 2014 14:15:11 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.7.0
MIME-Version: 1.0
To: J B <jb.1234abcd@HIDDEN>, 18427 <at> debbugs.gnu.org
Subject: Re: bug#18427: Fwd: 'less' bug report
References: <CAJXMFhGfjDdQpDfW65Kqi6QnBsNNQHO2tgJCNs9MoE_R844eiQ@HIDDEN>	<540DD147.30102@HIDDEN>
 <CAJXMFhH7Dbp06wd5CjTcE5r+5nYfG3NDrECH6MUw4FRg1j4YuA@HIDDEN>
In-Reply-To: <CAJXMFhH7Dbp06wd5CjTcE5r+5nYfG3NDrECH6MUw4FRg1j4YuA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 18427
Cc: selinger@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

This appears to be a duplicate of Bug#16951, which should mean that your 
test should work in the next gzip release but some related bugs remain.  
Please see:

http://bugs.gnu.org/16951




Information forwarded to bug-gzip@HIDDEN:
bug#18427; Package gzip. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2014 17:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 08 13:17:53 2014
Received: from localhost ([127.0.0.1]:34053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XR2Zc-00039T-FN
	for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 13:17:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37917)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jb.1234abcd@HIDDEN>) id 1XR2Tr-00030G-Af
 for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 13:11:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jb.1234abcd@HIDDEN>) id 1XR2Tl-00043O-2q
 for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 13:11:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41235)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jb.1234abcd@HIDDEN>) id 1XR2Tl-00043G-0Y
 for submit <at> debbugs.gnu.org; Mon, 08 Sep 2014 13:11:49 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39542)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jb.1234abcd@HIDDEN>) id 1XR2Ti-00041I-9d
 for bug-gzip@HIDDEN; Mon, 08 Sep 2014 13:11:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jb.1234abcd@HIDDEN>) id 1XR2Td-0003yd-Fj
 for bug-gzip@HIDDEN; Mon, 08 Sep 2014 13:11:46 -0400
Received: from mail-qg0-x22d.google.com ([2607:f8b0:400d:c04::22d]:59769)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jb.1234abcd@HIDDEN>) id 1XR2Td-0003y3-7P
 for bug-gzip@HIDDEN; Mon, 08 Sep 2014 13:11:41 -0400
Received: by mail-qg0-f45.google.com with SMTP id j107so2648634qga.18
 for <bug-gzip@HIDDEN>; Mon, 08 Sep 2014 10:11:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=2hQ4PHhPDtK6LvYhy4iifXOdYegCJU30AJQxWAsX4P0=;
 b=qhCtx3llhvCXfSamJW0MOg9ANroyfGUjqJMTQhHz9mpm6d6yzXeo8FTZMdlxMf83KT
 0xhtl1qsTqoJHqvzpNkJ3YMctUYH3n3xTSs2Jy+QBeAVcUOAjbKaG1PJiDti2X1CkEDm
 njbkDMMzj0x+B9Le21/m7cuyYsMGk7uwgNlPHThBBxKP1r5bER+6S9Kf/22poLt7Uf2I
 Ey9mOaejUQYktH5HPOhBnpQqyFOUq5yVYvIpIC1IwHODgWQyL+j9FqK4xjBITSP9xpQc
 mI1w1eAeldnBUXrl7WrZRLlklRZzOK5DgAq8Muq3hp+qM3nki4GEpaPwVNPg9PNIq2ZI
 jO2Q==
MIME-Version: 1.0
X-Received: by 10.224.86.5 with SMTP id q5mr44540511qal.36.1410196300126; Mon,
 08 Sep 2014 10:11:40 -0700 (PDT)
Received: by 10.96.215.164 with HTTP; Mon, 8 Sep 2014 10:11:40 -0700 (PDT)
In-Reply-To: <540DD147.30102@HIDDEN>
References: <CAJXMFhGfjDdQpDfW65Kqi6QnBsNNQHO2tgJCNs9MoE_R844eiQ@HIDDEN>
 <540DD147.30102@HIDDEN>
Date: Mon, 8 Sep 2014 19:11:40 +0200
Message-ID: <CAJXMFhH7Dbp06wd5CjTcE5r+5nYfG3NDrECH6MUw4FRg1j4YuA@HIDDEN>
Subject: Fwd: 'less' bug report
From: J B <jb.1234abcd@HIDDEN>
To: bug-gzip@HIDDEN
Content-Type: multipart/alternative; boundary=001a11c2c172885fe3050290e947
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 08 Sep 2014 13:17:51 -0400
Cc: selinger@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a11c2c172885fe3050290e947
Content-Type: text/plain; charset=UTF-8

Hi,
could you please fix the 'zless' bug described.

'less' ver. 451 log;
Use exit code of LESSOPEN script if LESSOPEN starts with "||".

Thanks,
jb


---------- Forwarded message ----------
From: Mark Nudelman <markn@HIDDEN>
Date: Mon, Sep 8, 2014 at 5:54 PM
Subject: Re: 'less' bug report
To: J B <jb.1234abcd@HIDDEN>


Hi jb,
This was fixed in less-451 with the introduction of the double pipe
syntax in LESSOPEN.  It requires your lessopen script to return the
appropriate exit code.

--Mark

On 9/8/2014 7:31 AM, J B wrote:
> Hi,
> this is a bug report for 'less' entry.
>
> $ touch empty.txt
> $ less empty.txt
> empty.txt (END)
> $ gzip empty.txt
> $ zless empty.txt.gz
> "empty.txt.gz" may be a binary file.  See it anyway?
>
> The last response should be as for 'less empty.txt'.
> According to Peter Selinger, author of ccrypt utilities:
> "The problem is that less, when using an input filter, regards an empty
> file
> as a condition indicating "filtering unsuccessful", and will just show
> the unfiltered file instead."
> This 'less' behavior causes a problem for other utilities as well.
>
> jb
>

--001a11c2c172885fe3050290e947
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div><div><div><div>Hi,<br></div></div>could you please fi=
x the &#39;zless&#39; bug described.<br><br>&#39;less&#39; ver. 451 log;<br=
>Use exit code of LESSOPEN script if LESSOPEN starts with &quot;||&quot;.

<br><br></div>Thanks,<br></div>jb<br><br><div><div><div><div><div><br><div =
class=3D"gmail_quote">---------- Forwarded message ----------<br>From: <b c=
lass=3D"gmail_sendername">Mark Nudelman</b> <span dir=3D"ltr">&lt;<a href=
=3D"mailto:markn@HIDDEN" target=3D"_blank">markn@greenwoodso=
ftware.com</a>&gt;</span><br>Date: Mon, Sep 8, 2014 at 5:54 PM<br>Subject: =
Re: &#39;less&#39; bug report<br>To: J B &lt;<a href=3D"mailto:jb.1234abcd@=
gmail.com" target=3D"_blank">jb.1234abcd@HIDDEN</a>&gt;<br><br><br>Hi jb=
,<br>
This was fixed in less-451 with the introduction of the double pipe<br>
syntax in LESSOPEN.=C2=A0 It requires your lessopen script to return the<br=
>
appropriate exit code.<br>
<span><font color=3D"#888888"><br>
--Mark<br>
</font></span><div><div><br>
On 9/8/2014 7:31 AM, J B wrote:<br>
&gt; Hi,<br>
&gt; this is a bug report for &#39;less&#39; entry.<br>
&gt;<br>
&gt; $ touch empty.txt<br>
&gt; $ less empty.txt<br>
&gt; empty.txt (END)<br>
&gt; $ gzip empty.txt<br>
&gt; $ zless empty.txt.gz<br>
&gt; &quot;empty.txt.gz&quot; may be a binary file.=C2=A0 See it anyway?<br=
>
&gt;<br>
&gt; The last response should be as for &#39;less empty.txt&#39;.<br>
&gt; According to Peter Selinger, author of ccrypt utilities:<br>
&gt; &quot;The problem is that less, when using an input filter, regards an=
 empty<br>
&gt; file<br>
&gt; as a condition indicating &quot;filtering unsuccessful&quot;, and will=
 just show<br>
&gt; the unfiltered file instead.&quot;<br>
&gt; This &#39;less&#39; behavior causes a problem for other utilities as w=
ell.<br>
&gt;<br>
&gt; jb<br>
&gt;<br>
</div></div></div><br></div></div></div></div></div></div>

--001a11c2c172885fe3050290e947--




Acknowledgement sent to J B <jb.1234abcd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gzip@HIDDEN. Full text available.
Report forwarded to bug-gzip@HIDDEN:
bug#18427; Package gzip. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.